document.addEventListener('DOMContentLoaded', () => {
    // Mobile Menu Toggle
    const mobileMenu = document.querySelector('.mobile-menu');
    const navLinks = document.querySelector('.nav-links');

    mobileMenu.addEventListener('click', () => {
        navLinks.classList.toggle('active');
        const spans = mobileMenu.querySelectorAll('span');
        spans.forEach(span => span.classList.toggle('active'));
    });

    // Smooth Scroll for Navigation Links
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            const target = document.querySelector(this.getAttribute('href'));
            target.scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Sound Button Interactions
    const soundButtons = document.querySelectorAll('.sound-button');
    soundButtons.forEach(button => {
        button.addEventListener('click', () => {
            // Add click animation
            button.style.transform = 'scale(0.95)';
            setTimeout(() => {
                button.style.transform = 'scale(1)';
            }, 100);

            // Here you would typically play the sound
            console.log(`Playing ${button.dataset.sound} sound`);
        });
    });

    // Contact Form Handler
    const contactForm = document.getElementById('contact-form');
    contactForm.addEventListener('submit', (e) => {
        e.preventDefault();
        // Add form submission animation
        contactForm.style.opacity = '0.5';
        setTimeout(() => {
            contactForm.style.opacity = '1';
            contactForm.reset();
            alert('Message sent successfully!');
        }, 1000);
    });

    // Floating Shapes Animation
    const createFloatingShape = () => {
        const shape = document.createElement('div');
        shape.classList.add('floating-shape');
        document.querySelector('.floating-shapes').appendChild(shape);
    };

    // Create multiple floating shapes
    for (let i = 0; i < 5; i++) {
        createFloatingShape();
    }

    // Hero Button Animation
    const playButton = document.getElementById('playSound');
    playButton.addEventListener('click', () => {
        playButton.classList.add('clicked');
        setTimeout(() => {
            playButton.classList.remove('clicked');
        }, 200);
    });

    // Intersection Observer for Fade-in Animations
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('visible');
            }
        });
    }, {
        threshold: 0.1
    });

    document.querySelectorAll('section').forEach(section => {
        observer.observe(section);
    });
});
